Page MenuHomePhabricator

Users without abusefilter-modify can view [[Special:AbuseFilter/tools]] but do nothing with it
Closed, ResolvedPublic

Description

If an user without abusefilter-modify enters this page, he can see parts of the page, but can do nothing with it, so he can write into the input field, but not press any buttons to do somehting with that input. That's why I think either the page shouldn't be shown to users without abusefilter-modify permission or the check syntax function should work at least, because this function can be used in any other (for example private) wiki too with the same result. In the second case I think the tools link below the title of the special page should be shown to every user.

Event Timeline

MGChecker raised the priority of this task from to Needs Triage.
MGChecker updated the task description. (Show Details)
MGChecker added a project: AbuseFilter.
MGChecker renamed this task from Users without abusefilter-modify can view [[Spezial:Missbrauchsfilter/tools]] but do nothing with it to Users without abusefilter-modify can view [[Special:Missbrauchsfilter/tools]] but do nothing with it.May 4 2016, 8:03 PM
MarcoAurelio renamed this task from Users without abusefilter-modify can view [[Special:Missbrauchsfilter/tools]] but do nothing with it to Users without abusefilter-modify can view [[Special:AbuseFilter/tools]] but do nothing with it.Jul 26 2016, 2:10 PM

Change 368553 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Completely disable Special:AbuseFilter/tools for non-maintaners

https://gerrit.wikimedia.org/r/368553

Change 368553 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Completely disable Special:AbuseFilter/tools for non-maintaners

https://gerrit.wikimedia.org/r/368553

MarcoAurelio closed this task as Resolved.Aug 9 2017, 7:02 PM
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio added a subscriber: MarcoAurelio.

Patch merged. Will be deployed to the wikis on the next MediaWiki train I guess (~1 week).